| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Macros | Variables
DC1605B.ino File Reference
Digital Power System Management and Power Supply Supervisors » LTC2936: Programable Hex Voltage Supervisor with Comparator Outputs and EEPROM

Linear Technology DC1605B Demonstration Board. More...

## Detailed Description

Linear Technology DC1605B Demonstration Board.

LTC2936: Programable Hex Voltage Supervisor with Comparator Outputs and EEPROM

      Setup:
       Set the terminal baud rate to 115200 and select the newline terminator.

http://www.linear.com/product/LTC2936

http://www.linear.com/demo/DC1605B

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Definition in file DC1605B.ino.

Go to the source code of this file.

## Functions
static void | setup ()
| Initialize Linduino. More...
static void | loop ()
| Repeats Linduino loop. More...
static void | print_title ()
| Prints the title block when program first starts. More...
static void | print_prompt ()
| Prints main menu. More...
static void | print_warning_prompt ()
| Prints a warning if the demo board is not detected. More...
static int | ltc2936_is_write_protected (uint8_t ltc2936_i2c_address)
| Return 1 if the LTC2936 is write-protected. More...
static int | dc1605b_is_address_0x5n (uint8_t ltc2936_i2c_address)
| Return 1 if the ltc2936 device address is 0x50 - 0x57 which are the DC1605B EEPROM address, and will cause problems with Linduino. More...
static void | dc1605b_print_address_warning ()
| Print a warning message to go with the 0x5n address. More...
static void | ltc2936_read_registers (uint8_t ltc2936_i2c_address)
| Read all registers from RAM. More...
static void | ltc2936_demo_board_defaults (uint8_t ltc2936_i2c_address)
| Load demo-board default settings into RAM. More...
static void | ltc2936_demo_board_demo_thresholds (uint8_t ltc2936_i2c_address)
| Load different voltage threshold settings into RAM. More...
static void | ltc2936_clear_alertb (uint8_t ltc2936_i2c_address)
| Clear ALERTB. More...
static void | dc1605_write_dac_voltage (uint8_t dac_address, int channel, float voltage)
| program the DAC on the DC1605B demo board to a voltage More...

## Macros
#define | DC1605_DAC_ADDRESS 0x22
#define | LTC2936_I2C_ADDRESS 0x58

## Variables
static uint8_t | ltc2936_i2c_address
static uint8_t | dc1605_dac_address
static LT_SMBus * | smbus = new LT_SMBusNoPec()

## Function Documentation

## ◆ dc1605_write_dac_voltage()

static void dc1605_write_dac_voltage | ( | uint8_t | dac_address,
|  | int | channel,
|  | float | voltage
| ) |  |
| static

program the DAC on the DC1605B demo board to a voltage

Definition at line 446 of file DC1605B.ino.

## ◆ dc1605b_is_address_0x5n()

static int dc1605b_is_address_0x5n | ( | uint8_t | ltc2936_i2c_address | ) |
| static

Return 1 if the ltc2936 device address is 0x50 - 0x57 which are the DC1605B EEPROM address, and will cause problems with Linduino.

Definition at line 244 of file DC1605B.ino.

## ◆ dc1605b_print_address_warning()

static void dc1605b_print_address_warning | ( |  | ) |
| static

Print a warning message to go with the 0x5n address.

Definition at line 253 of file DC1605B.ino.

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Repeats Linduino loop.

Returns
  void

Definition at line 93 of file DC1605B.ino.

## ◆ ltc2936_clear_alertb()

static void ltc2936_clear_alertb | ( | uint8_t | ltc2936_i2c_address | ) |
| static

Clear ALERTB.

Definition at line 437 of file DC1605B.ino.

## ◆ ltc2936_demo_board_defaults()

static void ltc2936_demo_board_defaults | ( | uint8_t | ltc2936_i2c_address | ) |
| static

Load demo-board default settings into RAM.

Definition at line 348 of file DC1605B.ino.

## ◆ ltc2936_demo_board_demo_thresholds()

static void ltc2936_demo_board_demo_thresholds | ( | uint8_t | ltc2936_i2c_address | ) |
| static

Load different voltage threshold settings into RAM.

Definition at line 392 of file DC1605B.ino.

## ◆ ltc2936_is_write_protected()

static int ltc2936_is_write_protected | ( | uint8_t | ltc2936_i2c_address | ) |
| static

Return 1 if the LTC2936 is write-protected.

Definition at line 232 of file DC1605B.ino.

## ◆ ltc2936_read_registers()

static void ltc2936_read_registers | ( | uint8_t | ltc2936_i2c_address | ) |
| static

Read all registers from RAM.

Definition at line 261 of file DC1605B.ino.

## ◆ print_prompt()

static void print_prompt | ( |  | ) |
| static

Prints main menu.

Definition at line 210 of file DC1605B.ino.

## ◆ print_title()

static void print_title | ( | void |  | ) |
| static

Prints the title block when program first starts.

Definition at line 196 of file DC1605B.ino.

## ◆ print_warning_prompt()

static void print_warning_prompt | ( |  | ) |
| static

Prints a warning if the demo board is not detected.

Definition at line 224 of file DC1605B.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Initialize Linduino.

Returns
  void

Definition at line 77 of file DC1605B.ino.

## Macro Definition Documentation

## ◆ DC1605_DAC_ADDRESS

#define DC1605_DAC_ADDRESS 0x22

Definition at line 65 of file DC1605B.ino.

## ◆ LTC2936_I2C_ADDRESS

#define LTC2936_I2C_ADDRESS 0x58

Definition at line 68 of file DC1605B.ino.

## Variable Documentation

## ◆ dc1605_dac_address

uint8_t dc1605_dac_address
| static

Definition at line 72 of file DC1605B.ino.

## ◆ ltc2936_i2c_address

uint8_t ltc2936_i2c_address
| static

Definition at line 71 of file DC1605B.ino.

## ◆ smbus

LT_SMBus* smbus = new LT_SMBusNoPec()
| static

Definition at line 73 of file DC1605B.ino.